Bug 131 - Check out Gitea
Summary: Check out Gitea
Status: RESOLVED FIXED
Alias: None
Product: Libre-SOC's first SoC
Classification: Unclassified
Component: Source Code (show other bugs)
Version: unspecified
Hardware: All All
: --- enhancement
Assignee: Luke Kenneth Casson Leighton
URL:
Depends on:
Blocks:
 
Reported: 2019-08-12 10:38 BST by Jacob Lifshay
Modified: 2020-06-30 21:06 BST (History)
2 users (show)

See Also:
NLnet milestone: ---
total budget (EUR) for completion of task and all subtasks: 0
budget (EUR) for this task, excluding subtasks' budget: 0
parent task for budget allocation:
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacob Lifshay 2019-08-12 10:38:50 BST
see http://lists.libre-riscv.org/pipermail/libre-riscv-dev/2019-August/002458.html

gitea would be replacing the gitolite3 and bugzilla installations.
gitea may replace the wiki as well.

https://gitea.io/en-us/
https://docs.gitea.io/en-us/comparison/

migrating bugzilla to gitea: https://github.com/go-gitea/gitea/issues/7802

one other pain point is that git over ssh currently uses a port other than 22.
Comment 1 Jacob Lifshay 2019-08-12 10:52:10 BST
note that the github issue for bugzilla to gitea migration is only 4 days old, so if we have anything to add, now's the time.
Comment 2 Luke Kenneth Casson Leighton 2019-08-12 11:50:00 BST
Port 922 is deliberate, to stop automated script kiddie attacks and portscans.
Comment 3 Jacob Lifshay 2019-08-12 12:07:37 BST
(In reply to Luke Kenneth Casson Leighton from comment #2)
> Port 922 is deliberate, to stop automated script kiddie attacks and
> portscans.

In my experience, fail2ban is sufficient to handle the script kiddie attacks (I used to have an ISP that didn't block incoming connections, which was nice for running servers). gitea even has a section of the documentation dedicated to fail2ban integration.

if they can see that we're running ssh, I wouldn't call that much of a problem (as long as automatic updates are turned on), since we're not the only ones by far. If you're worried about them breaking passwords, the server can be set up to only allow authentication using ssh keys (which are generally more secure anyway, if protected on the client computer). gitea, i would assume, supports authentication using ssh keys, since everyone logs in using the "git" username.
Comment 4 Jacob Lifshay 2019-08-13 01:06:20 BST
i tried gitea on my home server, it took 85MB of disk space of which 84MB is the gitea executable. running it takes 100MB of ram.
Comment 5 Jacob Lifshay 2019-08-13 05:23:56 BST
According to their current plans, they will be self-hosted on gitea.com by september 14 as part of release 1.10.0 (see milestone on github).

They have already moved everything but the gitea repo. When they finish moving, I would assume that their issue tracker would be on gitea.com since that's where the trackers are for for all their other repos.
Comment 6 Luke Kenneth Casson Leighton 2019-08-13 05:52:50 BST
(In reply to Jacob Lifshay from comment #4)
> i tried gitea on my home server, it took 85MB of disk space of which 84MB is
> the gitea executable. running it takes 100MB of ram.

nice.  that's tiny.

that just leaves learning golang and having a full build environment
installed as a prerequisite emergency measure, should there be any
serious bugs that absolutely have to be fixed immediately, in the
middle of the night.